Name:           xournalpp
Version:        1.0.20
Release:        %mkrel 1
Summary:        Notetaking software designed around a tablet
License:        GPL-2.0-or-later
Group:          Office/Utilities
Url:            https://github.com/xournalpp/xournalpp
Source0:        https://github.com/xournalpp/xournalpp/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  texlive
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(portaudiocpp)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  gettext

%description
Xournal++ is a hand note taking software.
It supports pen input, e.g. Wacom tablets.

%prep
%setup -q

%build
CFLAGS='-O2 -g -pipe -Wformat -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables'
CXXFLAGS='-O2 -g -pipe -Wformat -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables'
%cmake
%cmake_build

%install
%cmake_install
%find_lang xournalpp

# REMOVE UNNECESSARY SCRIPTS update-icon-cache IS TAKEN CARE OF BY RPM FILE TRIGGERS
rm %{buildroot}%{_datadir}/%{name}/ui/*/hicolor/update-icon-cache.sh

%files -f xournalpp.lang
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/xournal-thumbnailer
%{_bindir}/xournalpp
%{_datadir}/icons/hicolor/scalable/mimetypes/*.svg
%{_datadir}/mime/packages/*.xml
%{_datadir}/applications/com.github.xournalpp.xournalpp.desktop
%{_datadir}/metainfo/com.github.xournalpp.xournalpp.appdata.xml
%dir %{_datadir}/mimelnk
%dir %{_datadir}/mimelnk/application
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/xournalpp/
%{_datadir}/icons/hicolor/*/apps/*
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/*.thumbnailer


%changelog
* Thu Dec 24 2020 joequant <joequant> 1.0.20-1.mga8
+ Revision: 1663305
- update to 1.0.20

* Wed Jun 10 2020 joequant <joequant> 1.0.18-1.mga8
+ Revision: 1591841
- update to 1.0.18

* Tue Feb 18 2020 umeabot <umeabot> 1.0.16-3.mga8
+ Revision: 1541405
- Mageia 8 Mass Rebuild

* Fri Dec 27 2019 wally <wally> 1.0.16-2.mga8
+ Revision: 1470223
- build with new cmake macros
- don't own system dirs
- update license

* Mon Nov 11 2019 joequant <joequant> 1.0.16-1.mga8
+ Revision: 1459199
- update to 1.0.16

* Mon Nov 11 2019 joequant <joequant> 1.0.15-1.mga8
+ Revision: 1459125
- imported package xournalpp

